# $Id$

use strict;
use warnings;

package ObsData::Event;

sub new {
    my ($class, $id, $message) = @_;
    
    if(!($id && $message)) {
        return undef;
    }
    
    bless(
        {
            id => $id,
            message => $message,
            test => {},
            test_order => [],
        },
        $class
    );
}

sub id {
    my ($self) = @_;
    return($self->{id});
}

sub message {
    my ($self) = @_;
    return($self->{message});
}

sub add_test {
    my ($self, $test_id, $message, $result) = @_;
    if (!exists($self->{test}{$test_id})) {
        push(@{$self->{test_order}}, $test_id);
    }
    $self->{test}{$test_id}{message} ||= $message;
    $self->{test}{$test_id}{result} = $result;
}

sub list_test {
    my ($self) = @_;
    return(@{$self->{test_order}});
}

sub test_message {
    my ($self, $test_id) = @_;
    return($self->{test}{$test_id}{message});
}

sub test_result {
    my ($self, $test_id) = @_;
    return($self->{test}{$test_id}{result});
}

1;

