# $Id$

use Test::More tests => 9;

use_ok('ObsData::Event');

my $oe = ObsData::Event->new('myid', 'stupid question');
isa_ok($oe, "ObsData::Event");

$oe->add_test('test1', "TEST 1", 0);
$oe->add_test('test2', "TEST 2", 0);
$oe->add_test('test1', undef, 1);

ok($oe->id eq 'myid', "Can get event id");
ok($oe->message eq 'stupid question', "Can get event message");

ok(eq_array([ $oe->list_test ], [ qw(test1 test2) ]), "Can list test");
ok($oe->test_message('test1') eq "TEST 1", "Can get test message"); 
ok($oe->test_message('test2') eq "TEST 2", "Can get test message"); 
ok($oe->test_result('test1') == 1, "Can get test result");
ok($oe->test_result('test2') == 0, "Can get test result");
